textures/rjldm3/greenfog
{
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
	fogparms ( 0.50 0.57 0.50 ) 3072
}

textures/rjldm3/orangefog
{
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
	fogparms ( 0.65 0.40 0.00 ) 3072
}

textures/rjldm3/orangefog_dense
{
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
	fogparms ( 0.64 0.38 0.00 ) 768
}

textures/rjldm3/orangefog_medium
{
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
	fogparms ( 0.64 0.38 0.00 ) 2048
}

textures/rjldm3/fanfx
{
	qer_editorimage textures/rjldm3/fanfx.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	cull none
	nopicmip

	{
		clampmap textures/rjldm3/fanfx.tga
		tcMod rotate 256
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		//rgbGen exactVertex
		//depthWrite
	}
}

textures/rjldm3/fanfx_slow
{
	qer_editorimage textures/rjldm3/fanfx.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	cull none
	nopicmip

	{
		clampmap textures/rjldm3/fanfx.tga
		tcMod rotate 64
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		//rgbGen exactVertex
		//depthWrite
	}
}

textures/rjldm3/fan_slow
{
	surfaceparm trans
	surfaceparm nomarks
	qer_editorimage textures/sfx/fan.tga
	cull none
	nopicmip

	{
		clampmap textures/sfx/fan.tga
		tcMod rotate 64
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/rjldm3/lightclip
{
	surfaceparm nonsolid
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
	//{
	//map $whiteimage
	//alphaFunc GT0
	//alphaGen const 0 
	//}
}

textures/rjldm3/metalclip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
    surfaceparm metalsteps
}

textures/rjldm3/clangfloor1
{
	qer_editorimage textures/rjldm3/e8clangfloor1.tga
	//surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rjldm3/e8clangfloor1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/rjldm3/clangfloor1red
{
	qer_editorimage textures/rjldm3/e8clangfloor1_red.tga
	//surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rjldm3/e8clangfloor1_red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/rjldm3/clangfloor1blue
{
	qer_editorimage textures/rjldm3/e8clangfloor1_blue.tga
	//surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rjldm3/e8clangfloor1_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/rjldm3/clangfloor1_warn
{
	qer_editorimage textures/rjldm3/e8clangfloor1warn.tga
	//surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rjldm3/e8clangfloor1warn.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/rjldm3/aircofan
{
	surfaceparm nomarks
	qer_editorimage textures/rjldm3/e6metalfan.tga
	{
		clampmap textures/rjldm3/e6metalfan_blade.tga
		tcmod rotate 760
		rgbGen identity
	}
	{
		map textures/rjldm3/e6metalfan.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/rjldm3/greentrim_pulse
{
	surfaceparm nomarks
	//q3map_surfacelight 100
	//q3map_lightimage textures/rjldm3/e8wrntrim2b_blend.tga
	qer_editorimage textures/rjldm3/e8wrntrim2b.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rjldm3/e8wrntrim2b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	//{
	//	map textures/rjldm3/e8wrntrim2b_blend.tga
	//	rgbGen wave sin 0.5 0.5 1 1
	//	blendfunc GL_ONE GL_ONE
	//}
}

textures/rjldm3/grate
{
	cull disable
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm metalsteps
	qer_editorimage textures/rjldm3/e8grate1.tga
	{
		map textures/rjldm3/e8grate1.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/rjldm3/grate2
{
	cull disable
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm metalsteps
	qer_editorimage textures/rjldm3/e6bsegrtflr256.tga
	{
		map textures/rjldm3/e6bsegrtflr256.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/rjldm3/grate2_noshadow
{
	cull disable
	surfaceparm nomarks
	surfaceparm metalsteps
	qer_editorimage textures/rjldm3/e6bsegrtflr256.tga
	{
		map textures/rjldm3/e6bsegrtflr256.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/rjldm3/jumppad_whirl
{
	q3map_lightimage textures/rjldm3/jumppad1fx2.tga
	surfaceparm nomarks
	q3map_surfacelight 300
	qer_editorimage textures/rjldm3/jumppad1.tga
	{
		map textures/rjldm3/jumppad1fx.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/rjldm3/jumppad1fx2.tga
		rgbGen identity
		tcMod rotate -760
		blendfunc add
	}
	{
		map textures/rjldm3/jumppad1.tga
		rgbGen identity
		blendfunc blend
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}

textures/rjldm3/redtrim_pulse
{
	surfaceparm nomarks
	q3map_surfacelight 300
	qer_editorimage textures/rjldm3/e6trimlight.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rjldm3/e6trimlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/rjldm3/e6trimlight_blend.tga
		rgbGen wave sawtooth .6 .1 0 7
		blendfunc GL_ONE GL_ONE
	}
}

textures/rjldm3/support_girder
{
	cull disable
	surfaceparm alphashadow
	surfaceparm nomarks
	qer_editorimage textures/rjldm3/e8girder.tga
	{
		map textures/rjldm3/e8girder.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/rjldm3/railing
{
	cull disable
	surfaceparm alphashadow
	surfaceparm nomarks
	qer_editorimage textures/rjldm3/e8rail.tga
	{
		map textures/rjldm3/e8rail.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/rjldm3/yellowpulse
{
	q3map_surfacelight 300
	q3map_lightimage textures/rjldm3/e8flash.tga
	qer_editorimage textures/rjldm3/e8flashtrim.tga
	{
		map textures/rjldm3/e8flashtrim.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/rjldm3/e8flash.tga
		blendfunc gl_one gl_one
		tcmod scale 0.05 1
		tcmod scroll -0.65 0
	}
}

textures/rjldm3/beam_red
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	qer_editorimage textures/sfx/beam_red.tga
	{
		map textures/sfx/beam_red.tga
		blendFunc add
	}
}

textures/rjldm3/beam_yellow
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	qer_editorimage textures/rjldm3/beam_yellow.tga
	{
		map textures/rjldm3/beam_yellow.tga
		blendFunc add
	}
}

//mapmodel shaders

models/mapobjects/rjl_comppanel/rjl_comppanel
{
	surfaceparm nolightmap
	{
		map models/mapobjects/rjl_comppanel/rjl_comppanel.tga
		rgbGen vertex
	}
	{
		map models/mapobjects/rjl_comppanel/rjl_comppaneltext.tga
		blendfunc add
		tcmod scale 2 2
		tcmod scroll 0 0.02
	}
	{
		map textures/base_wall/comp3textd.tga
		blendfunc add
		rgbGen wave inversesawtooth 0.4 0.2 0 10
		tcmod scale 3 3
		tcmod scroll 5 .25
	}
	{
		map models/mapobjects/rjl_comppanel/rjl_comppanel.tga
		blendfunc blend
		rgbGen vertex
	}
}

models/mapobjects/rjl_tubelight/tube
{
	surfaceparm nolightmap
	qer_editorimage models/mapobjects/rjl_tubelight/tubes.tga
	{
		map models/mapobjects/rjl_tubelight/tubes.tga
		rgbGen vertex
	}
	{
		map models/mapobjects/rjl_tubelight/tube_blend.tga
		rgbGen wave sawtooth .6 .1 0 7
		blendfunc GL_ONE GL_ONE
	}
}

models/mapobjects/rjl_eleclight/glass
{
	surfaceparm nolightmap
	qer_editorimage textures/effects/tinfx.tga
	//cull none
	qer_trans 0.5
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
}

models/mapobjects/rjl_eleclight/fixture
{
	surfaceparm nolightmap
	qer_editorimage models/mapobjects/rjl_eleclight/fixture.tga
	{
		map models/mapobjects/rjl_eleclight/fixture.tga
		rgbGen vertex
	}
	{
		map models/mapobjects/rjl_eleclight/fixture_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}